#
# Cookbook:: cifs_mounter
# Recipe:: default
#
# Copyright:: 2019, The Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# # you may not use this file except in compliance with the License.
# # You may obtain a copy of the License at
# #
# #    http://www.apache.org/licenses/LICENSE-2.0
# #
# # Unless required by applicable law or agreed to in writing, software
# # distributed under the License is distributed on an "AS IS" BASIS,
# # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# # See the License for the specific language governing permissions and
# # limitations under the License.
# #

node.default['cifs']['username'] = ' '
node.default['cifs']['password'] = ' '
node.default['cifs']['credential_file']=' '
node.default['cifs']['dir_name']=' '
node.default['cifs']['fstab_entry']=' ' 


bash 'install' do
user 'root'
cwd '/'
code <<-EOH
 yum -y install cifs-utils

EOH
end

# Credentials files
# #bag = node['cifs']['password_data_bag']
# #credentials = Chef::EncryptedDataBagItem.load(bag, 'cifs') rescue nil


template node['cifs']['credential_file'] do
source 'credentials.erb'
 owner 'root'
 group 'root'
 mode '0600'

 variables(username: node['cifs']['username'],
           password: node['cifs']['password'],
           #domain:   node['cifs']['domain']
          )

#else
#    Chef::Log.warn("Data bag '#{bag}' not found, skipping credentials file")
#end


end

bash 'create directory' do
 user 'root'
 cwd '/'
 code <<-EOH
mkdir -p #{node['cifs']['dir_name']}
EOH
not_if { ::File.directory?("#{node['cifs']['dir_name']}") }
end


bash 'fstab' do
 user 'root'
 cwd '/'
 code <<-EOH
 echo #{node['cifs']['fstab_entry']} >> /etc/fstab
 mount #{node['cifs']['dir_name']}
 mkdir -p /opt/mnt
 touch /opt#{node['cifs']['dir_name']}

EOH
not_if { ::File.exists?("/opt#{node['cifs']['dir_name']}") }
end
                               
